##安装

```
npm install itheima-tools-kk
```

##导入
```js
const ithema=require('itheima-tools-kk')
```



##格式化时间
```js
//调用dateFormat对事件进行格式化
const dateStr = itheima.dateFormat(new Date())
// 结果   2022-05-16  20:30:35
console.log(dateStr);
```


##转义HTML 中的特殊字符
```js
//  待转换的HTML字符串
const htmlStr = '<h1 title="aabb">这是一个h1标签<span>2233&nbsp</span></h1>'
//  调用  htmlEscape() 方法进行转换
const str = itheima.htmlEscape(htmlStr)
// 转换的结果   &lth1 title=&quotaabb&quot&gt这是一个h1标签&ltspan&gt2233&ampnbsp&lt/span&
console.log(str);

```

##还原 HTML  中的特殊字符
```js
//待还原的HTML 字符串
const str2 = itheima.htmlUnEscape(htmlStr)
//转换的结果   <h1 title="aabb">这是一个h1标签<span>2233&nbsp</span></h1>
console.log(str2);

##开源协议

ISC 